package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.AccountDetailBean;
import com.cooleshow.teacher.bean.UserAccountBean;

/**
 * 创建日期：2022/5/23 14:22
 *
 * @author Ryan
 * 类说明：
 */
public interface MineIncomeContract {
    interface MineIncomeView extends BaseView {
        void userAccountDetailSuccess(AccountDetailBean data);

        void userAccountPageSuccess(int page, UserAccountBean data);

        void userAccountPageError(int page);
    }

    interface Presenter {
        void getUserAccountDetail();
    }
}
